Page MenuHomePhabricator

Services Team Goals July - September 2016 (Q1 2016-17)
Closed, ResolvedPublic

Description

Protect User-sensitive Information

  • Minimize code with direct access to sensitive user information by creating an authentication service prototype, to be used as an AuthManager backend in Q2

EventBus & Change Propagation

  • Refine our CDN purging infrastructure to reduce purge request volumes & improve reliability (with operations)
  • Support use cases for Discovery, Reading & Wikidata, replacing custom jobs where it makes sense

Related Objects

StatusAssignedTask
Resolved GWicke
Resolvedmobrovac
Resolvedmobrovac
ResolvedNone
Resolved GWicke
Resolved GWicke
ResolvedNone
Resolved GWicke
Resolvedmobrovac
Resolved GWicke
Resolved GWicke
Resolvedfgiunchedi
Resolvedfgiunchedi
ResolvedCmjohnson
ResolvedCmjohnson
ResolvedJoe
Resolvedfgiunchedi
Resolved GWicke
Resolved Jdouglas
Resolved GWicke
Resolved GWicke
ResolvedArlolra
Resolved GWicke
Resolvedmobrovac
Resolvedmobrovac
Resolvedmobrovac
Resolvedmobrovac
Duplicate Jdouglas
ResolvedAndrew
Resolved GWicke
Resolvedfgiunchedi
Resolvedfgiunchedi
Resolvedfgiunchedi
ResolvedEevans
Resolvedfgiunchedi
Resolved GWicke
Resolved GWicke
Resolvedfgiunchedi
Resolvedmobrovac
Resolved GWicke
InvalidNone
ResolvedPchelolo
ResolvedArlolra
Resolvedmobrovac
Resolvedbd808
Resolved GWicke
DeclinedNone
ResolvedPchelolo
Resolvedmobrovac
ResolvedNone
ResolvedPchelolo
Resolved GWicke
Resolved GWicke
Resolved GWicke
ResolvedPchelolo
OpenNone
ResolvedArlolra
ResolvedPchelolo
Resolvedmobrovac

Event Timeline

mobrovac created this task.Jun 3 2016, 2:10 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 3 2016, 2:10 PM
mobrovac triaged this task as Normal priority.Aug 10 2016, 7:26 PM
mobrovac updated the task description. (Show Details)
GWicke renamed this task from Services Team Goals July - Septermber 2016 (Q1 2016-17) to Services Team Goals July - September 2016 (Q1 2016-17).Aug 22 2016, 8:15 PM
mobrovac closed this task as Resolved.Oct 4 2016, 1:29 PM
mobrovac claimed this task.

Q1 is over, closing this task.